//---------------------------------------------------------------------------
#ifndef ClientRobotH
#define ClientRobotH
//---------------------------------------------------------------------------
#include <SysUtils.hpp>
#include <Controls.hpp>
#include <Classes.hpp>
#include <Forms.hpp>
#include <ScktComp.hpp>
//---------------------------------------------------------------------------
class PACKAGE TClientRobot : public TClientSocket
{
private:
protected:
public:
    __fastcall TClientRobot         (TComponent* Owner);

    void __fastcall Connect         (AnsiString Server);
    void __fastcall Disconnect      ();

    void __fastcall SetVel          (double  v, double  s);
    void __fastcall Stop            ();

    void __fastcall GetPos          (double& x, double& y, double& a);
    int  __fastcall GetSonar        (int     i);
    bool __fastcall GetBumper       ();
    int  __fastcall GetBumperRel    ();

    void __fastcall ShowMessage     (char *message);

__published:
};
//---------------------------------------------------------------------------
#endif
